QGIS Application - Bug report #11009

WMS Server returns no search results if layer max scale is set to 1:1

2014-08-05 06:50 AM - luca76 -

Status: Closed
Priority: Normal
Assignee:

Category: QGIS Server

Affected QGIS version:2.4.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 19351

Description

As subject.

If you do a wms search (i.e. with ggis web client) on a layer that has defined scale visibility, it could return always zero results.

If the maximum scale is set to 1:1 -> ALWAYS zero results.

If the maximum scale is set to 1:0 -> WMS Search is working.

History

#1 - 2014-09-09 04:13 AM - Alessandro Pasotti
- Priority changed from Severe/Regression to Normal
- Status changed from Open to Feedback

| cannot reproduce on current master.

Can you please provide a sample project and the query string that fails?

#2 - 2014-10-04 01:11 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.
